## QueenGlandBuff

The goal of this mod is to buff Beetle Guards spawned by the Queen's Gland so they provide more than just emotional support.

**Skill Changes**

The biggest issue with Beetle Guards is their inability to fight an aerial enemy, to counter this its attacks now launch projectiles.
These extra projectiles also make Beetle Guards deal a lot of extra damage so their damage has been reduced, however the additional projectiles make it higher than before.

<a href="https://imgur.com/wWG1E1P"><img src="https://i.imgur.com/wWG1E1P.png" title="source: imgur.com" /></a>

For its Slam skill it fires out 5 projectiles evenly upwards, this isn't really for flying enemies it's to help against crowds.

<a href="https://imgur.com/beAFC77"><img src="https://i.imgur.com/beAFC77.png" title="source: imgur.com" /></a>

Its Sunder skill now fires 5 projectiles in the direction the Guard is aiming. This allows them to hit flying enemies.

**AI Changes**

The AI now prefers to use Sunder over Slam, this is so it doesn't get locked into using Slam against flying enemies that are slightly out of reach.
The Beetle Guard will often target nearby grounded enemies over flying ones.

**Item/Stacking Changes**

Each player can now only have 3 Beetle Guards each, further stacks increase their health and damage.
The 30 seconds respawn timer now actually functions but is reduced to 20 seconds.
Beetle Guards spawn with an elite affix for some extra spice.

**Extra Skills**

The mod also adds 2 new skills to the Beetle Guard to make them useful beyond damage.

A new Utility called "Recall". This skill teleports the user back to their owner, the AI uses this when it's beyond the leash length. This ability is useful for those situations where the Beetle Guard is incapable of navigating back to their owner.

A new Special called "Staunch". This skill gives the user a buff for 10 seconds that forces nearby enemy AI to target it, also during this nearby friendly Beetle Guards gain increased stats. This ability helps keep Beetle Guards useful even after their damage has fallen off.

## Known Issues

- Causes Buffs to be out of sync for clients when used with other mods. (Unsure entirely what exactly causes this, try using Nemesis Enforcer's minigun as a client and see if it bugs out for you.)
- Swarms will cause an extra Guard to spawn, if it goes over the limit it will spawn in and die immediately. (Is this really an issue?)

## ToDo

- Continue hunting down the reason for the Buffs being out of sync in multiplayer.

## Change Log

`1.1.1`

_While the Beetle Guards are much more powerful, their reduced durability along with respawn times gave them way too much downtime. These adjustments should improve uptime by allowing them to recover in-between fights._

Additions:

- Beetle Guards now regenerate health outside of combat.

Fixes/Changes:

- `BaseHealth` default configuration changed. (0->10)
- `StackHealth` default configuration changed. (5->10)

`1.1.0`

Additions:

- `Targeting Changes` configuration, toggles the ai changes that makes Beetle Guards go for grounded enemies.
- `Respawn Time` configuration, changes the respawn timer for Beetle Guards.

Removals:

- `Upgrade Beetle Guard` configuration, was mostly just for messing around.

Fixes/Changes:

- Actually replaced the SkillDrivers properly.
- `Aggro Boss Chance` default value changed (0.1 -> 0.025)
- Fixed stacking health and damage bonuses not syncing for clients.
- `StackHealth` configuration now uses integers default value changed (0.25 -> 5)
- `StackDamage` configuration now uses integers default value changed (0.5 -> 15)
- Beetle Frenzy buff no longer stacks, stat increases have been improved to compensate.
- Added a potential fix for buffs being out of sync in multiplayer with certain mods. (If this fails I'll just use R2API for the buffs.)

`1.0.0`

- First public release.

## Credits & Special Thanks

* **Rob** - HenryMod tutorial and most of the structure being based on it.
* **RoR2 Modding Discord** - For helping me figure out how to make a ContentPack work.
* **StandaloneAncientScepter Devs** - Code used to change the deployable limits is based on their Turret changes.

And probably other people that I can't remember.

## Contact

You can find me as kking117#0370 on discord.